Loading...
Searching...
No Matches
gridfire::exceptions::StaleEngineTrigger Class Referencefinal

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::StaleEngineTrigger:
[legend]
Collaboration diagram for gridfire::exceptions::StaleEngineTrigger:
[legend]

## Classes

struct | state

## Public Member Functions

| StaleEngineTrigger (state s)
const char * | what () const noexcept override
state | getState () const
size_t | numSpecies () const
size_t | totalSteps () const
double | energy () const
double | getMolarAbundance (const size_t index) const
double | temperature () const
double | density () const

## Private Attributes

state | m_state

## Constructor & Destructor Documentation

## StaleEngineTrigger()

gridfire::exceptions::StaleEngineTrigger::StaleEngineTrigger | ( | state | s | ) |

inlineexplicit

## Member Function Documentation

## density()

double gridfire::exceptions::StaleEngineTrigger::density | ( |  | ) | const

inlinenodiscard

## energy()

double gridfire::exceptions::StaleEngineTrigger::energy | ( |  | ) | const

inlinenodiscard

## getMolarAbundance()

double gridfire::exceptions::StaleEngineTrigger::getMolarAbundance | ( | const size_t | index | ) | const

inlinenodiscard

## getState()

state gridfire::exceptions::StaleEngineTrigger::getState | ( |  | ) | const

inlinenodiscard

## numSpecies()

size_t gridfire::exceptions::StaleEngineTrigger::numSpecies | ( |  | ) | const

inlinenodiscard

## temperature()

double gridfire::exceptions::StaleEngineTrigger::temperature | ( |  | ) | const

inlinenodiscard

## totalSteps()

size_t gridfire::exceptions::StaleEngineTrigger::totalSteps | ( |  | ) | const

inlinenodiscard

## what()

const char * gridfire::exceptions::StaleEngineTrigger::what | ( |  | ) | const

inlinenodiscardoverridenoexcept

## Member Data Documentation

## m_state

state gridfire::exceptions::StaleEngineTrigger::m_state

private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h